**Requires [authorization](https://developer.android.com/games/services/publishing/api/leaderboardConfigurations/list#auth)**

Returns a list of the leaderboard configurations in this application.

## Request

### HTTP request

```
GET https://www.googleapis.com/games/v1configuration/applications/applicationId/leaderboards
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `applicationId` | `string` | The application ID from the Google Play Console. |
| **Optional query parameters** |||
| `maxResults` | `integer` | The maximum number of resource configurations to return in the response, used for paging. For any response, the actual number of resources returned may be less than the specified `maxResults`. Acceptable values are `1` to `200`, inclusive. |
| `pageToken` | `string` | The token returned by the previous request. |

### Authorization

This request requires authorization with the following scope ([read more about authentication and authorization](https://developers.google.com/identity/protocols/oauth2)).

| Scope |
|---|
| `https://www.googleapis.com/auth/androidpublisher` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "gamesConfiguration#leaderboardConfigurationListResponse",
  "nextPageToken": string,
  "items": [
    leaderboardConfigurations Resource
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `kind` | `string` | Uniquely identifies the type of this resource. Value is always the fixed string `games#leaderboardConfigurationListResponse`. |   |
| `nextPageToken` | `string` | The pagination token for the next page of results. |   |
| `items[]` | `list` | The leaderboard configurations. |   |